xmlwhere(1)

NAME
xmlwhere - LT NSL program for giving a summary of the positions of

SYNOPSIS
usage:
   xmlwhere [-d ddb-file] [-u base_url] [-v] [-n] [-r]
             -q query [ -s sub-query] [-t regexp] [file]
   -d ddb-file: Take Dtd from specified ddb file
   -v: invert sense of sub-query+regexp
   -n: don't force a newline between output matches
   -r: attribute values in queries are regular expressions
   -q query: Main query
   -s sub-query: Sub query
   -t regexp: Regular expression

DESCRIPTION
The material below may be out of date: consult LT XML documentation please. xmlwhere lets one find the global context of particular SGML elements in an nSGML file.

DESCRIPTION: Input/Output
Description of the input/output files involved in this program.

Input ==> An nSGML file : [<filename> or stdin]

Output ==> A text file containing complete LT NSL queries for each SGML element
        which matches query, sub-query and regexp (as per sggrep).
         (for format see below): [stdout]

OPTIONS

-q query
    Main query (as for sggrep(q.v))

-sq sub-query
    Sub query (as for sggrep(q.v))

-t regexp
    Regular expression (as for sggrep(q.v))

-d ddb-file
    Take Dtd from specified ddb file

-v  Complement operation. If this option is specified then only elements which do match the <query>, but do not match the <subquery> plus <regexp> combination, are output. Default is normal matching.

-r  Interpret values of attributes in queries as regular expressions. Default is to treat attribute values as plain strings.

-n  Don't force a newline between output matches.

NSLWHERE OUTPUT FORMAT
The output consists of lines of the form (e.g.)
/PARSEDCHANNEL[0]/TEXT[0]/PARA[34]/UTT[0]/S[1] /PARSEDCHANNEL[0]/TEXT[0]/PARA[36]/UTT[0]/S[0]
which would mean that in the input file, there were two S elements, the first of which was in the 1st (0+1) UTT element in the 35th (34+1) PARA element in the 1st (0+1) TEXT element in the 1st (0+1) PARSEDCHANNEL element. Similarly for the second S element.

SEE ALSO
ltxml(1), mknsg(1), sggrep(1), sgrpg(1)

AUTHOR
Henry Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: dmck@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.